#include "SamplePlayer.h"
/*
 * SamplePlayer.cpp
 *
 *  Created on: 21 Oct 2009
 *      Author: math
 */

SamplePlayer::SamplePlayer()
{
	samples[DOACTION] = Mix_LoadWAV("data/sfx/MousePre.wav");
	samples[CHANGEOP] = Mix_LoadWAV("data/sfx/ChangeOp.wav");
	samples[BOING] = Mix_LoadWAV("data/sfx/Boing.wav");
	samples[SPLAT] = Mix_LoadWAV("data/sfx/Splat.wav");
	samples[OHNO] = Mix_LoadWAV("data/sfx/OhNo.wav");
	samples[TING] = Mix_LoadWAV("data/sfx/Ting.wav");
	samples[EXPLODE] = Mix_LoadWAV("data/sfx/Explode.wav");
	samples[LETSGO] = Mix_LoadWAV("data/sfx/LetsGo.wav");

	samples[SPLASH] = Mix_LoadWAV("data/sfx/Splash.wav");
	samples[DOOR] = Mix_LoadWAV("data/sfx/Door.wav");
	samples[DIE] = Mix_LoadWAV("data/sfx/Die.wav");
	samples[CHINK] = Mix_LoadWAV("data/sfx/Chink.wav");
	samples[FIRE] = Mix_LoadWAV("data/sfx/Fire.wav");

}

SamplePlayer::~SamplePlayer()
{
	//do I need to free the loaded samples
}

void SamplePlayer::PlaySample(Sample sample)
{
	//printf("sound\n");
	Mix_PlayChannel(1, samples[sample], 0);
}
