/*
 * GameScreen.h
 *
 *  Created on: 10 Dec 2009
 *      Author: math
 */

#ifndef GAMESCREEN_H_
#define GAMESCREEN_H_

#include "MenuItem.h"
#include "../Game.h"
#include "OnePlayerGameOver.h"

class OnePlayerGameScreen: public MenuItem {
public:
	OnePlayerGameScreen(MenuItem*);
	OnePlayerGameScreen(MenuItem*,int,int);
	virtual ~OnePlayerGameScreen();
	void Init();
	MenuItem* SendEscape();
protected:
	void DrawSelf(SDL_Surface*);
	void HandleKey(int);
	void HandleMouse(int,int,long,long);
	bool gameover;
	int frameCount;
	bool sendClick;
	bool weDidIt;
private:


	OnePlayerGameOver* onePlayerGameOver;
};

#endif /* GAMESCREEN_H_ */
